local addon = select(2,...)
function addon:register_default_commands()

--[[
REQUIRED COMMAND FIELDS
- menulabel:  text showing up in the dropdown menu
- script:  executed as a /script (default) or a slash command (if first letter
           is a '/')

OPTIONAL COMMAND FIELDS
- tooltip:  [string]  shows up if user has "beginner tooltips" on.  default nothing.
- no_show:  [boolean]  if true, not even added to the menu.
- verbose:  [boolean]  overrides global profile setting if present
]]

addon:RegisterMenu "Labels"
addon:RegisterCommand("Labels", {
    menulabel = "PvP",
    tooltip = "Player and NPC nameplates on",
    script = [[
        SetCVar("UnitNameEnemyPlayerName","1")
        SetCVar("UnitNameFriendlyPlayerName","1")
        SetCVar("UnitNameNPC","1")
    ]],
})
addon:RegisterCommand("Labels", {
    menulabel = "Solo",
    tooltip = "Player nameplates off, NPC nameplates on",
    script = [[
        SetCVar("UnitNameEnemyPlayerName","0")
        SetCVar("UnitNameFriendlyPlayerName","0")
        SetCVar("UnitNameNPC","1")
    ]],
})
addon:RegisterCommand("Labels", {
    menulabel = "Raid/Healing",
    tooltip = "Player and NPC nameplates off",
    script = [[
        SetCVar("UnitNameEnemyPlayerName","0")
        SetCVar("UnitNameFriendlyPlayerName","0")
        SetCVar("UnitNameNPC","0")
    ]],
})


addon:RegisterCommand (nil, "Sound High", [[SetCVar("Sound_MasterVolume","0.7")]])
addon:RegisterCommand (nil, "Sound Low",  [[SetCVar("Sound_MasterVolume","0.1")]])

addon:RegisterMenu "sRaidFrames"
addon:RegisterCommand ("sRaidFrames", {
    menulabel = "sort by class",
    verbose = false,   -- sRF will print out a message anyhow
    script = [[sRaidFrames:SetCurrentGroupSetup("By class")]]
})
addon:RegisterCommand ("sRaidFrames", {
    menulabel = "sort by group",
    verbose = false,   -- sRF will print out a message anyhow
    script = [[sRaidFrames:SetCurrentGroupSetup("By group")]]
})
addon:RegisterCommand ("sRaidFrames", "slashy",  [[/wave]])

addon:RegisterMenu "sRaidFrames.testing"
addon:RegisterCommand ("sRaidFrames.testing", "foobar",  [[/wave]])

--addon:RegisterCommand (nil, "BB raid toggle", "/bb settings polyoutput raid")
addon:RegisterCommand (nil, {
    menulabel = "BB raid toggle",
    verbose = false,  -- BigBrother prints out its own message
    script = "/bb settings polyoutput raid"
})

end
-- vim:noet
