local nametag, addon = ...
addon.helptext = {}
local H = addon.helptext


H[""] = [[
Arbitrary Commands provides an easily configurable menu of scriptable commands.
The commands may be slash commands (like macros) or a block of Lua code (as if
you were writing a long /script).  The menu should be viewable via any LDB launcher
addon; by default it will appear as a clickable minimap icon.

curse.com url here or something

Choosing |cff30adffMain Menu|r from the minimap menu, or typing "/arbit", will
show the main configuration window.  The "Options" and "Profiles" tabs should
be self-explanatory; the "Scripts" tab is more interesting.
]]

H["editor"] = [[
The "Scripts" tab in the configuration window manages and edits the menu layout
and script contents.  There are some example default scripts for new users; most
of them are used by the author.

Changes to any scripts are saved automatically upon closing the window or
clicking on another script in the left-hand list.  There is no in-game "undo".
Edit with caution!

The radio-button option at the top-right allows you to specify verbose mode
for individual scripts, overriding the global verbose mode setting from the
main Options panel.
]]

H["slash"] = [[
If the first letter of a script is the forward slash ("/"), then the script is
run as if it were a slash command.  You can treat these scripts as if they
were macros (FIXME maybe not) without taking up precious space in the list of
macros, or wasting a button on your action bar.  Be warned that unlike real
macros, these are not saved server-side.

only 1 line per script so far
]]

H["lua"] = [[
You can also write Lua scripts of arbitrary length and complexity.  These are
just like the lines of code in a "/script" or "/run" command.  If you stumble
across some while reading forums, you can drop them in here instead of trying
to wrap a /run macro around them.

Checking the "Use Lua editor" box will activate syntax highlighting and
reasonably smart automatic indentation.

Scripts are not secure and have no special permissions.
]]

H["morefuncs"] = [[
For ease of use, some additional Lua functions are available for scripting.

+CHAT ("chat_slash", "msg")|r

Examples: <CHAT("rw","Pulling in 5 seconds")>

<CHAT("2","Here's what I can craft: "..GetTradeSkillListLink())>

<CHAT("r","Thank you for your interest in our guild.  The website is www.example.com.")>

Strings usable as <chat_slash> are say/s, yell/y, party/p, raid/ra,
rw, bg, r (to reply to whispers), and valid numbers for public channels.


+SLASH ("slash command")|r

Example: <SLASH("/dbm pull 5")>


]]


do
	local replacement_colors = {
		["+"]="|cff30adff",    -- nice blue
		["<"]="|cff00ff00",    -- greeeeeeen
		[">"]="|r",            -- close
	}
	for k,text in pairs(H) do
		local wrapped = text
		wrapped = wrapped:gsub ("[%+<>]", replacement_colors)
		wrapped = wrapped:gsub ("([^\n])\n([^\n])", "%1 %2")  -- join lines
		wrapped = wrapped:gsub ("|r\n\n", "|r\n")
		--wrapped = wrapped:gsub ("", "")
		H[k] = wrapped
	end
end

-- vim:noet
